Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78997 - neat-control broken?
Summary: neat-control broken?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 15:02 UTC by Gerald Teschl
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:51:11 UTC


Attachments (Terms of Use)

Description Gerald Teschl 2002-12-04 15:02:21 UTC
Not sure what neat-control is supposed to do. I just started it and
it gives me an empty list of network devices even tough I have
a (configured and working) network card?

Comment 1 Harald Hoyer 2002-12-16 09:41:05 UTC
Hmm, what does /usr/sbin/neat display?

Comment 2 Gerald Teschl 2002-12-16 12:27:21 UTC
neat displays my (single) ethernet card. No problems here.

Comment 3 Harald Hoyer 2002-12-16 12:59:39 UTC
is it activated in the profile?

Comment 4 Gerald Teschl 2002-12-16 19:50:12 UTC
Yes. The interface is listed as "Active".

OK. Did some further testing. This is a differnt box with two
network cards.

I run it from the GUI and nothing showed up in the list.

I run it as root on the command line and got

[root@tomcat root]# Copying ifcfg-eth0 to devices and putting it into the
default profile.
Copying ifcfg-eth1 to devices and putting it into the default profile.
Copying /etc/hosts to default profile.
Copying /etc/resolv.conf to default profile.

and now both eth0 and eth1 show up (this is a different box with two network
cards).

If I now open it from the GUI (i.e. without root privelidges) it
shows eth0 but not eth1!?





Comment 5 Gerald Teschl 2003-02-12 22:56:24 UTC
Just tired again with redhat-config-network-1.1.96-1:

Now neat-control works as root, but if I start it as user I get
tons of "Error copying ... permission denied" errors and only eth0 (but not eth1)
shows up.

Comment 6 Harald Hoyer 2003-03-25 10:51:11 UTC
hmm, should be fixed in newer versions...


Note You need to log in before you can comment on or make changes to this bug.